/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.company.catweb.web;

import com.company.catweb.ejb.CatWebSessionLocal;
import com.company.catweb.model.Catalog;
import com.company.catweb.model.Category;
import com.company.catweb.model.Product;
import java.util.List;
import javax.ejb.EJB;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

/**
 *
 * @author Wim
 */
@WebService()
public class CatWebService {
    @EJB
    private CatWebSessionLocal ejbRef;
    // Add business logic below. (Right-click in editor and choose
    // "Web Service > Add Operation"

    @WebMethod(operationName = "createCatalog")
    public boolean createCatalog(@WebParam(name = "c")
    Catalog c) {
        return ejbRef.createCatalog(c);
    }

    @WebMethod(operationName = "createCategory")
    public boolean createCategory(@WebParam(name = "c")
    Category c) {
        return ejbRef.createCategory(c);
    }

    @WebMethod(operationName = "createProduct")
    public boolean createProduct(@WebParam(name = "c")
    Product c) {
        return ejbRef.createProduct(c);
    }

    @WebMethod(operationName = "deleteCatalog")
    public boolean deleteCatalog(@WebParam(name = "id")
    int id) {
        return ejbRef.deleteCatalog(id);
    }

    @WebMethod(operationName = "deleteCategory")
    public boolean deleteCategory(@WebParam(name = "id")
    int id) {
        return ejbRef.deleteCategory(id);
    }

    @WebMethod(operationName = "deleteProduct")
    public boolean deleteProduct(@WebParam(name = "id")
    int id) {
        return ejbRef.deleteProduct(id);
    }

    @WebMethod(operationName = "findCatalogs")
    public List findCatalogs(@WebParam(name = "n")
    String n) {
        return ejbRef.findCatalogs(n);
    }

    @WebMethod(operationName = "findCategories")
    public List findCategories(@WebParam(name = "n")
    String n) {
        return ejbRef.findCategories(n);
    }

    @WebMethod(operationName = "findProducts")
    public List findProducts(@WebParam(name = "n")
    String n) {
        return ejbRef.findProducts(n);
    }

    @WebMethod(operationName = "readCatalog")
    public Catalog readCatalog(@WebParam(name = "id")
    int id) {
        return ejbRef.readCatalog(id);
    }

    @WebMethod(operationName = "readCategory")
    public Category readCategory(@WebParam(name = "id")
    int id) {
        return ejbRef.readCategory(id);
    }

    @WebMethod(operationName = "readProduct")
    public Product readProduct(@WebParam(name = "id")
    int id) {
        return ejbRef.readProduct(id);
    }

    @WebMethod(operationName = "updateCatalog")
    public boolean updateCatalog(@WebParam(name = "c")
    Catalog c) throws Exception {
        return ejbRef.updateCatalog(c);
    }

    @WebMethod(operationName = "updateCategory")
    public boolean updateCategory(@WebParam(name = "c")
    Category c) {
        return ejbRef.updateCategory(c);
    }

    @WebMethod(operationName = "updateProduct")
    public boolean updateProduct(@WebParam(name = "c")
    Product c) {
        return ejbRef.updateProduct(c);
    }

}
